Bug 455510 - Undisplayable glyphs on Wikipedia
Undisplayable glyphs on Wikipedia
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: i18n (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: i18n Engineering List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 15:44 EDT by Christopher Beland
Modified: 2010-02-01 00:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-01 00:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2008-07-15 15:44:59 EDT
I did a fresh installation of Fedora 9 using the network install method and
adding Office/Productivity software in addition to the default set. I'm seeing
undisplayable glyphs on the following pages:

http://en.wikipedia.org/wiki/Punctuation#Unicode
http://www.wikipedia.org/
http://en.wikipedia.org/wiki/Phoenician_alphabet#Encoding

I would expect a default installation to be able to display all glyphs that
appear in Wikipedia, so that readers can learn about them.  Many non-English
glyphs, even fairly obscure ones, are displayed properly, which is excellent. 
It would be nice to finish off the rest.  I don't know if this is a flaw in
Pango, if I would need to install additional font RPMs, or something else.

This is with firefox-3.0-1.fc9.i386 and pango-1.20.4-1.fc9.i386.
Comment 1 Behdad Esfahbod 2008-07-16 08:57:43 EDT
> I would expect a default installation to be able to display all glyphs that
appear in Wikipedia

Well, Wikipedia will always have characters that cannot be displayed.  Simply
because it's always over the edge of what Unicode encodes, while a stable distro
is a bit behind that.

Anyway, font issue.
Comment 2 Ben Laenen 2008-07-16 09:06:34 EDT
We gladly accept patches for more glyphs at DejaVu :-) But I don't see us 
having a script like Phoenician really...

But I even doubt you could find a Free font for each glyph in Unicode.
Comment 3 Nicolas Mailhot 2008-07-16 09:20:03 EDT
DejaVu only accepts modern scripts like Ogham ;)
Comment 4 Behdad Esfahbod 2008-07-16 09:25:50 EDT
Let me also note that we are working on a feature for F10 or more realistically
F11 to have a notification box pop up and suggest installing a font whenever a
character cannot be displayed.  That may well "fix" this bug.
Comment 5 Christopher Beland 2008-07-16 10:46:02 EDT
So I take it I can't solve this problem temporarily by just installing some
additional RPMs?
Comment 6 Ben Laenen 2008-07-16 11:00:59 EDT
I guess you can install a lot of fonts for all kinds of script to solve it for 
most scripts. For Phoenician, look at the Aegean font at 
http://users.teilar.gr/~g1951d/ for example (no idea if there are rpms 
available in Fedora). But don't expect to get *all* glyphs from Unicode (which 
defines approximately 100000 different characters) covered by your fonts.

In the mean time, I don't really see much point in distributing fonts for 
scripts like Phoenician by default...
Comment 7 Behdad Esfahbod 2008-07-16 11:10:36 EDT
also check latest version of "freefont sans"
Comment 8 Nicolas Mailhot 2008-07-16 11:24:53 EDT
(In reply to comment #6)
> I guess you can install a lot of fonts for all kinds of script to solve it for 
> most scripts. For Phoenician, look at the Aegean font at 
> http://users.teilar.gr/~g1951d/ for example (no idea if there are rpms 
> available in Fedora).

They're not. New Fedora font packagers are of course welcome.
http://fedoraproject.org/wiki/Ancient_Scripts_fonts
Comment 9 Bug Zapper 2009-06-09 22:06:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Christopher Beland 2009-06-12 21:20:11 EDT
I believe this is the new feature that was mentioned: http://fedoraproject.org/wiki/Features/AutoFontsAndMimeInstaller

With Fedora 11 and firefox-3.5-0.20.beta4.fc11.x86_64, I'm still seeing undisplayable glyphs at:

http://www.wikipedia.org/
http://en.wikipedia.org/wiki/Phoenician_alphabet#Encoding

I didn't get any popup or anything saying that an additional font was necessary to display these glyphs; shouldn't I have?

I Googled "freefont sans", but it's unclear to me what I'm supposed to be looking for, Behdad.
Comment 11 Nicolas Mailhot 2009-06-13 04:39:23 EDT
(In reply to comment #10)
> I believe this is the new feature that was mentioned:
> http://fedoraproject.org/wiki/Features/AutoFontsAndMimeInstaller

This feature mostly works for gnome-based apps nowadays. Not sure what firefox uses. You should ask in

https://bugzilla.mozilla.org/show_bug.cgi?id=467729
Comment 12 Nicolas Mailhot 2009-06-13 04:46:28 EDT
Moving to Firefox component as we do have fonts supporting Phœnician in the distro nowadays so it should plug in the autofonts install framework and propose to install them

(@ben: adding Phœnician to dejavu would be nice though)
Comment 13 Matěj Cepl 2009-06-25 18:07:16 EDT
The only language which doesn't work for me out of the box on www.wikipedia.org is http://cu.wikipedia.org/wiki/ (which is Old Church Slavonic ... the language has not been actively used since 13th Century).

bradford:~$ rpm -qa \*deja\* firefox xulrunner 
dejavu-sans-fonts-2.29-2.fc11.noarch
xulrunner-1.9.1-0.20.beta4.fc11.x86_64
dejavu-sans-mono-fonts-2.29-2.fc11.noarch
dejavu-fonts-common-2.29-2.fc11.noarch
dejavu-serif-fonts-2.29-2.fc11.noarch
firefox-3.5-0.20.beta4.fc11.x86_64
bradford:~$
Comment 14 Matěj Cepl 2009-06-25 18:11:15 EDT
(In reply to comment #13)
> The only language which doesn't work for me out of the box on www.wikipedia.org
> is http://cu.wikipedia.org/wiki/ (which is Old Church Slavonic ... the language
> has not been actively used since 13th Century).

Sorry, 11th Century http://en.wikipedia.org/wiki/Old_Church_Slavonic :)
Comment 15 Alexey Torkhov 2009-06-30 14:38:14 EDT
(In reply to comment #14)
> (In reply to comment #13)
> > The only language which doesn't work for me out of the box on www.wikipedia.org
> > is http://cu.wikipedia.org/wiki/ (which is Old Church Slavonic ... the language
> > has not been actively used since 13th Century).
> 
> Sorry, 11th Century http://en.wikipedia.org/wiki/Old_Church_Slavonic :)  

Nah, this is Church Slavonic (http://en.wikipedia.org/wiki/Church_Slavonic), was used until 17th century and is still used today in church :)
Comment 16 Matěj Cepl 2009-07-04 10:35:53 EDT
(In reply to comment #15)
> Nah, this is Church Slavonic (http://en.wikipedia.org/wiki/Church_Slavonic),
> was used until 17th century and is still used today in church :)  

OK, I stand corrected, but still I think it is not an issue of Firefox. Changing component to the i18n to decide which languages we want to support in Fedora, per default or what to do about this part of Wikipedia.
Comment 17 Jens Petersen 2009-07-06 02:57:56 EDT
I don't see any serious problems here with recent Fedora releases.

No we don't have 100% coverage of wikipedia and probably won't
any time soon, but the default font coverage is now good enough
IMHO for most major languages that we can support.

If you want even better support best way is to contribute/
package free fonts and get them reviewed: the Fonts SIG
is there to assist with that. :)

Note You need to log in before you can comment on or make changes to this bug.